# MRUCache.MRULinkedListIterator (ARX Developer Documentation)

org.deidentifier.arx.framework.check.history

## Class MRUCache.MRULinkedListIterator

- java.lang.Object
- - org.deidentifier.arx.framework.check.history.MRUCache.MRULinkedListIterator

- All Implemented Interfaces:
    java.util.Iterator<T>
  Enclosing class:
    MRUCache<T>

      public class MRUCache.MRULinkedListIterator
      extends java.lang.Object
      implements java.util.Iterator<T>

  The Class MRULinkedListIterator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MRUCache.MRULinkedListIterator(MRUCache<T> l)` Instantiates a new mRU linked list iterator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MRUCache.MRULinkedListIterator

          public MRUCache.MRULinkedListIterator(MRUCache<T> l)

      Instantiates a new mRU linked list iterator.
      Parameters:
        `l` - the l

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<T>`